package com.example.tyre.maintenance;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;

import androidx.databinding.DataBindingUtil;

import com.example.tyre.R;
import com.example.tyre.databinding.ActivityNewHomePageBinding;
import com.example.tyre.maintenance.base.BaseActivity;

public class NewHomePageActivity extends BaseActivity {
    private ActivityNewHomePageBinding binding;
    private Intent intent;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        binding = DataBindingUtil.setContentView(this, R.layout.activity_new_home_page);
        intent = new Intent(this, WorkOrderActivity.class);
    }

    public void goActivity1(View view) {
        intent.putExtra("title", "二级保养");
        intent.putExtra("typeCode", "1");
        startActivity(intent);
    }

    public void goActivity2(View view) {
        intent.putExtra("title", "小修");
        intent.putExtra("typeCode", "5");
        startActivity(intent);
    }

    public void goActivity3(View view) {
        intent.putExtra("title", "抢碎修");
        intent.putExtra("typeCode", "2");
        startActivity(intent);
    }

    public void goActivity4(View view) {
        intent.putExtra("title", "月检");
        intent.putExtra("typeCode", "4");
        startActivity(intent);
    }

    public void goActivity5(View view) {
        intent.putExtra("title", "拆报废车");
        intent.putExtra("typeCode", "3");
        startActivity(intent);
    }

    public void goActivity6(View view) {
        intent.putExtra("title", "轮胎修补");
        intent.putExtra("typeCode", "6");
        startActivity(intent);
    }

    public void goActivity7(View view) {
        intent.putExtra("title", "轮胎报废");
        intent.putExtra("typeCode", "7");

        startActivity(intent);
    }

    public void goAllWorkOrder(View view) {
        intent.putExtra("title", "总工单列表");
        intent.putExtra("typeCode", "");
        startActivity(intent);
    }


}